### Function

# Cogl PipelineLayerCallback

#### Declaration

    gboolean
    (* CoglPipelineLayerCallback) (
      CoglPipeline* pipeline,
      int layer_index,
      void* user_data
    )

#### Description [src]

The callback prototype used with `cogl_pipeline_foreach_layer()` for iterating all the layers of a `pipeline`.

#### Parameters

`pipeline`

  Type: `CoglPipeline`

  The `CoglPipeline` whose layers are being iterated.

  The data is owned by the caller of the function.

`layer_index`

  Type: `int`

  The current layer index.

`user_data`

  Type: `void*`

  The private data passed to cogl_pipeline_foreach_layer().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.